Limerence
Spaces

List Space Chat Sessions

List all chat sessions for a Space, optionally filtered by share link

GET
/spaces/{id}/sessions

List all chat sessions for a Space, optionally filtered by share link

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Query Parameters

shareLinkId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/spaces/string/sessions"
[  {    "_count": {      "comments": 0    },    "activeStreamId": null,    "archivedAt": null,    "automationId": null,    "chat": null,    "chatId": "string",    "createdAt": "string",    "dashboardId": null,    "id": "string",    "messageCount": 0,    "needsReply": true,    "parentChatId": null,    "pinnedAt": null,    "reportId": null,    "shareLink": null,    "shareLinkId": null,    "spaceId": "string"  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}